### Method

# Gtk ColumnView get_columns

#### Declaration [src]

    GListModel*
    gtk_column_view_get_columns (
      GtkColumnView* self
    )

#### Description [src]

Gets the list of columns in this column view.

This list is constant over the lifetime of `self` and can be used to monitor changes to the columns of `self` by connecting to the `GListModel::items-changed` signal.

Gets property | `Gtk.ColumnView:columns`

#### Return value

Type: A list model of `GObject`

The list managing the columns.

The returned data is owned by the instance.